Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.util
Class QuickSort

    java.lang.Object
      |
      +--net.xfra.qizxopen.util.QuickSort

public class QuickSort
extends java.lang.Object

Nested Class Summary
`static interface` | `QuickSort.Compare`

Constructor Summary
`QuickSort()`

Method Summary
`static void` | `sort(java.lang.Object[] values, int first, int last, QuickSort.Compare compare)` Array version: Sort from first to last included.
`static void` | `sort(java.lang.Object[] values, QuickSort.Compare compare)`
`static void` | `sort(java.util.Vector values, int first, int last, QuickSort.Compare compare)` Vector version: Sort from first to last included.
`static void` | `sort(java.util.Vector values, QuickSort.Compare compare)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuickSort

    public QuickSort()

Method Detail

### sort

    public static void sort(java.lang.Object[] values,
                            QuickSort.Compare compare)

### sort

    public static void sort(java.lang.Object[] values,
                            int first,
                            int last,
                            QuickSort.Compare compare)

  Array version: Sort from first to last included.

### sort

    public static void sort(java.util.Vector values,
                            QuickSort.Compare compare)

### sort

    public static void sort(java.util.Vector values,
                            int first,
                            int last,
                            QuickSort.Compare compare)

  Vector version: Sort from first to last included.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD